#include <bits/stdc++.h>
using namespace std;
long long a,b,c,mx,n,m,srec[100005],poz[100005],sp,sn,res;
int main () {
    cin>>n>>m;
    for (int i=1;i<=n;i++){
        cin>>srec[i];
    }
    for (int i=1;i<=m;i++){
        cin>>a>>b;
        poz[a]++;
        poz[b]++;
    }
    for (int i=1;i<=n;i++){
        sp+=srec[i]*poz[i];
        sn+=srec[i]*(poz[i]*-1);
    }
    res=max(sp,sn);
    cout<<res<<endl;
    return 0;
}